<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.ServiceProjectMapper">

    <resultMap type="com.ssm.manage.entity.ServiceProject" id="ServiceProjectMap">
        <result property="id" column="Id" jdbcType="INTEGER"/>
        <result property="projectId" column="project_id" jdbcType="INTEGER"/>
        <result property="projectName" column="project_name" jdbcType="VARCHAR"/>
        <result property="achievementLarge" column="achievement_large" jdbcType="VARCHAR"/>
        <result property="achievementZhonggong" column="achievement_zhonggong" jdbcType="NUMERIC"/>
        <result property="achievementTechnician" column="achievement_technician" jdbcType="NUMERIC"/>
        <result property="achievementSmall" column="achievement_small" jdbcType="NUMERIC"/>
        <result property="commissionLarge" column="commission_large" jdbcType="NUMERIC"/>
        <result property="commissionZhonggong" column="commission_zhonggong" jdbcType="NUMERIC"/>
        <result property="commissionTechnician" column="commission_technician" jdbcType="NUMERIC"/>
        <result property="commissionSmall" column="commission_small" jdbcType="NUMERIC"/>
        <result property="cardAchievementLarge" column="card_achievement_large" jdbcType="NUMERIC"/>
        <result property="cardAchievementZhonggong" column="card_achievement_zhonggong" jdbcType="NUMERIC"/>
        <result property="cardAchievementTechnician" column="card_achievement_technician" jdbcType="NUMERIC"/>
        <result property="cardAchievementSmall" column="card_achievement_small" jdbcType="NUMERIC"/>
        <result property="cardCommissionLarge" column="card_commission_large" jdbcType="NUMERIC"/>
        <result property="cardCommissionZhonggong" column="card_commission_zhonggong" jdbcType="NUMERIC"/>
        <result property="cardCommissionTechnician" column="card_commission_technician" jdbcType="NUMERIC"/>
        <result property="cardCommissionSmall" column="card_commission_small" jdbcType="NUMERIC"/>
        <result property="courseAccountId" column="course_account_id" jdbcType="INTEGER"/>
        <result property="servicingTime" column="servicing_time" jdbcType="VARCHAR"/>
        <result property="noDiscount" column="no_discount" jdbcType="INTEGER"/>
        <result property="overtime" column="overtime" jdbcType="INTEGER"/>
        <result property="overtimeMoney" column="overtime_money" jdbcType="NUMERIC"/>
        <result property="collectionCashAmount" column="collection_cash_amount" jdbcType="NUMERIC"/>
        <result property="collectionRechargeAmount" column="collection_recharge_amount" jdbcType="NUMERIC"/>
        <result property="price" column="price" jdbcType="NUMERIC"/>
        <result property="minumumPrice" column="minumum_price" jdbcType="NUMERIC"/>
        <result property="priceMember" column="price_member" jdbcType="NUMERIC"/>
        <result property="minumumPriceMember" column="minumum_price_member" jdbcType="NUMERIC"/>
        <result property="transactionPrice" column="transaction_price" jdbcType="NUMERIC"/>
        <result property="serviceOrderId" column="service_order_id" jdbcType="INTEGER"/>
        <result property="collectionGiftAmount" column="collection_gift_amount" jdbcType="DECIMAL"/>
        <result property="cashAmount" column="cash_amount" jdbcType="NUMERIC"/>
        <result property="docDate" column="doc_date" jdbcType="TIMESTAMP"/>
        <result property="renew" column="renew" jdbcType="NUMERIC"/>
        <result property="amount" column="amount" jdbcType="NUMERIC"/>
        <result property="numberTimes" column="number_times" jdbcType="INTEGER"/>
    </resultMap>



<!--    &lt;!&ndash;查询单个&ndash;&gt;-->
<!--    <select id="queryById" resultMap="ServiceProjectMap">-->
<!--        select-->
<!--          Id, project_id, project_name, achievement_large, achievement_zhonggong, achievement_technician, achievement_small, commission_large, commission_zhonggong, commission_technician, commission_small, card_achievement_large, card_achievement_zhonggong, card_achievement_technician, card_achievement_small, card_commission_large, card_commission_zhonggong, card_commission_technician, card_commission_small, course_account_id, servicing_time, no_discount, overtime, overtime_money, collection_cash_amount, collection_recharge_amount, price, minumum_price, price_member, minumum_price_member, transaction_price, service_order_id, collection_gift_amount, cash_amount, doc_date-->
<!--        from service_project-->
<!--        where Id = #{id}-->
<!--    </select>-->

<!--    &lt;!&ndash;查询指定行数据&ndash;&gt;-->
<!--    <select id="queryAllByLimit" resultMap="ServiceProjectMap">-->
<!--        select-->
<!--          Id, project_id, project_name, achievement_large, achievement_zhonggong, achievement_technician, achievement_small, commission_large, commission_zhonggong, commission_technician, commission_small, card_achievement_large, card_achievement_zhonggong, card_achievement_technician, card_achievement_small, card_commission_large, card_commission_zhonggong, card_commission_technician, card_commission_small, course_account_id, servicing_time, no_discount, overtime, overtime_money, collection_cash_amount, collection_recharge_amount, price, minumum_price, price_member, minumum_price_member, transaction_price, service_order_id, collection_gift_amount, cash_amount, doc_date-->
<!--        from service_project-->
<!--        <where>-->
<!--            <if test="id != null">-->
<!--                and Id = #{id}-->
<!--            </if>-->
<!--            <if test="projectId != null">-->
<!--                and project_id = #{projectId}-->
<!--            </if>-->
<!--            <if test="projectName != null and projectName != ''">-->
<!--                and project_name = #{projectName}-->
<!--            </if>-->
<!--            <if test="achievementLarge != null">-->
<!--                and achievement_large = #{achievementLarge}-->
<!--            </if>-->
<!--            <if test="achievementZhonggong != null">-->
<!--                and achievement_zhonggong = #{achievementZhonggong}-->
<!--            </if>-->
<!--            <if test="achievementTechnician != null">-->
<!--                and achievement_technician = #{achievementTechnician}-->
<!--            </if>-->
<!--            <if test="achievementSmall != null">-->
<!--                and achievement_small = #{achievementSmall}-->
<!--            </if>-->
<!--            <if test="commissionLarge != null">-->
<!--                and commission_large = #{commissionLarge}-->
<!--            </if>-->
<!--            <if test="commissionZhonggong != null">-->
<!--                and commission_zhonggong = #{commissionZhonggong}-->
<!--            </if>-->
<!--            <if test="commissionTechnician != null">-->
<!--                and commission_technician = #{commissionTechnician}-->
<!--            </if>-->
<!--            <if test="commissionSmall != null">-->
<!--                and commission_small = #{commissionSmall}-->
<!--            </if>-->
<!--            <if test="cardAchievementLarge != null">-->
<!--                and card_achievement_large = #{cardAchievementLarge}-->
<!--            </if>-->
<!--            <if test="cardAchievementZhonggong != null">-->
<!--                and card_achievement_zhonggong = #{cardAchievementZhonggong}-->
<!--            </if>-->
<!--            <if test="cardAchievementTechnician != null">-->
<!--                and card_achievement_technician = #{cardAchievementTechnician}-->
<!--            </if>-->
<!--            <if test="cardAchievementSmall != null">-->
<!--                and card_achievement_small = #{cardAchievementSmall}-->
<!--            </if>-->
<!--            <if test="cardCommissionLarge != null">-->
<!--                and card_commission_large = #{cardCommissionLarge}-->
<!--            </if>-->
<!--            <if test="cardCommissionZhonggong != null">-->
<!--                and card_commission_zhonggong = #{cardCommissionZhonggong}-->
<!--            </if>-->
<!--            <if test="cardCommissionTechnician != null">-->
<!--                and card_commission_technician = #{cardCommissionTechnician}-->
<!--            </if>-->
<!--            <if test="cardCommissionSmall != null">-->
<!--                and card_commission_small = #{cardCommissionSmall}-->
<!--            </if>-->
<!--            <if test="courseAccountId != null">-->
<!--                and course_account_id = #{courseAccountId}-->
<!--            </if>-->
<!--            <if test="servicingTime != null and servicingTime != ''">-->
<!--                and servicing_time = #{servicingTime}-->
<!--            </if>-->
<!--            <if test="noDiscount != null">-->
<!--                and no_discount = #{noDiscount}-->
<!--            </if>-->
<!--            <if test="overtime != null">-->
<!--                and overtime = #{overtime}-->
<!--            </if>-->
<!--            <if test="overtimeMoney != null">-->
<!--                and overtime_money = #{overtimeMoney}-->
<!--            </if>-->
<!--            <if test="collectionCashAmount != null">-->
<!--                and collection_cash_amount = #{collectionCashAmount}-->
<!--            </if>-->
<!--            <if test="collectionRechargeAmount != null">-->
<!--                and collection_recharge_amount = #{collectionRechargeAmount}-->
<!--            </if>-->
<!--            <if test="price != null">-->
<!--                and price = #{price}-->
<!--            </if>-->
<!--            <if test="minumumPrice != null">-->
<!--                and minumum_price = #{minumumPrice}-->
<!--            </if>-->
<!--            <if test="priceMember != null">-->
<!--                and price_member = #{priceMember}-->
<!--            </if>-->
<!--            <if test="minumumPriceMember != null">-->
<!--                and minumum_price_member = #{minumumPriceMember}-->
<!--            </if>-->
<!--            <if test="transactionPrice != null">-->
<!--                and transaction_price = #{transactionPrice}-->
<!--            </if>-->
<!--            <if test="serviceOrderId != null">-->
<!--                and service_order_id = #{serviceOrderId}-->
<!--            </if>-->
<!--            <if test="collectionGiftAmount != null">-->
<!--                and collection_gift_amount = #{collectionGiftAmount}-->
<!--            </if>-->
<!--            <if test="cashAmount != null">-->
<!--                and cash_amount = #{cashAmount}-->
<!--            </if>-->
<!--            <if test="docDate != null">-->
<!--                and doc_date = #{docDate}-->
<!--            </if>-->
<!--        </where>-->
<!--        limit #{pageable.offset}, #{pageable.pageSize}-->
<!--    </select>-->

<!--    &lt;!&ndash;统计总行数&ndash;&gt;-->
<!--    <select id="count" resultType="java.lang.Long">-->
<!--        select count(1)-->
<!--        from service_project-->
<!--        <where>-->
<!--            <if test="id != null">-->
<!--                and Id = #{id}-->
<!--            </if>-->
<!--            <if test="projectId != null">-->
<!--                and project_id = #{projectId}-->
<!--            </if>-->
<!--            <if test="projectName != null and projectName != ''">-->
<!--                and project_name = #{projectName}-->
<!--            </if>-->
<!--            <if test="achievementLarge != null">-->
<!--                and achievement_large = #{achievementLarge}-->
<!--            </if>-->
<!--            <if test="achievementZhonggong != null">-->
<!--                and achievement_zhonggong = #{achievementZhonggong}-->
<!--            </if>-->
<!--            <if test="achievementTechnician != null">-->
<!--                and achievement_technician = #{achievementTechnician}-->
<!--            </if>-->
<!--            <if test="achievementSmall != null">-->
<!--                and achievement_small = #{achievementSmall}-->
<!--            </if>-->
<!--            <if test="commissionLarge != null">-->
<!--                and commission_large = #{commissionLarge}-->
<!--            </if>-->
<!--            <if test="commissionZhonggong != null">-->
<!--                and commission_zhonggong = #{commissionZhonggong}-->
<!--            </if>-->
<!--            <if test="commissionTechnician != null">-->
<!--                and commission_technician = #{commissionTechnician}-->
<!--            </if>-->
<!--            <if test="commissionSmall != null">-->
<!--                and commission_small = #{commissionSmall}-->
<!--            </if>-->
<!--            <if test="cardAchievementLarge != null">-->
<!--                and card_achievement_large = #{cardAchievementLarge}-->
<!--            </if>-->
<!--            <if test="cardAchievementZhonggong != null">-->
<!--                and card_achievement_zhonggong = #{cardAchievementZhonggong}-->
<!--            </if>-->
<!--            <if test="cardAchievementTechnician != null">-->
<!--                and card_achievement_technician = #{cardAchievementTechnician}-->
<!--            </if>-->
<!--            <if test="cardAchievementSmall != null">-->
<!--                and card_achievement_small = #{cardAchievementSmall}-->
<!--            </if>-->
<!--            <if test="cardCommissionLarge != null">-->
<!--                and card_commission_large = #{cardCommissionLarge}-->
<!--            </if>-->
<!--            <if test="cardCommissionZhonggong != null">-->
<!--                and card_commission_zhonggong = #{cardCommissionZhonggong}-->
<!--            </if>-->
<!--            <if test="cardCommissionTechnician != null">-->
<!--                and card_commission_technician = #{cardCommissionTechnician}-->
<!--            </if>-->
<!--            <if test="cardCommissionSmall != null">-->
<!--                and card_commission_small = #{cardCommissionSmall}-->
<!--            </if>-->
<!--            <if test="courseAccountId != null">-->
<!--                and course_account_id = #{courseAccountId}-->
<!--            </if>-->
<!--            <if test="servicingTime != null and servicingTime != ''">-->
<!--                and servicing_time = #{servicingTime}-->
<!--            </if>-->
<!--            <if test="noDiscount != null">-->
<!--                and no_discount = #{noDiscount}-->
<!--            </if>-->
<!--            <if test="overtime != null">-->
<!--                and overtime = #{overtime}-->
<!--            </if>-->
<!--            <if test="overtimeMoney != null">-->
<!--                and overtime_money = #{overtimeMoney}-->
<!--            </if>-->
<!--            <if test="collectionCashAmount != null">-->
<!--                and collection_cash_amount = #{collectionCashAmount}-->
<!--            </if>-->
<!--            <if test="collectionRechargeAmount != null">-->
<!--                and collection_recharge_amount = #{collectionRechargeAmount}-->
<!--            </if>-->
<!--            <if test="price != null">-->
<!--                and price = #{price}-->
<!--            </if>-->
<!--            <if test="minumumPrice != null">-->
<!--                and minumum_price = #{minumumPrice}-->
<!--            </if>-->
<!--            <if test="priceMember != null">-->
<!--                and price_member = #{priceMember}-->
<!--            </if>-->
<!--            <if test="minumumPriceMember != null">-->
<!--                and minumum_price_member = #{minumumPriceMember}-->
<!--            </if>-->
<!--            <if test="transactionPrice != null">-->
<!--                and transaction_price = #{transactionPrice}-->
<!--            </if>-->
<!--            <if test="serviceOrderId != null">-->
<!--                and service_order_id = #{serviceOrderId}-->
<!--            </if>-->
<!--            <if test="collectionGiftAmount != null">-->
<!--                and collection_gift_amount = #{collectionGiftAmount}-->
<!--            </if>-->
<!--            <if test="cashAmount != null">-->
<!--                and cash_amount = #{cashAmount}-->
<!--            </if>-->
<!--            <if test="docDate != null">-->
<!--                and doc_date = #{docDate}-->
<!--            </if>-->
<!--        </where>-->
<!--    </select>-->

<!--    &lt;!&ndash;新增所有列&ndash;&gt;-->
<!--    <insert id="insert" keyProperty="id" useGeneratedKeys="true">-->
<!--        insert into service_project(project_id, project_name, achievement_large, achievement_zhonggong, achievement_technician, achievement_small, commission_large, commission_zhonggong, commission_technician, commission_small, card_achievement_large, card_achievement_zhonggong, card_achievement_technician, card_achievement_small, card_commission_large, card_commission_zhonggong, card_commission_technician, card_commission_small, course_account_id, servicing_time, no_discount, overtime, overtime_money, collection_cash_amount, collection_recharge_amount, price, minumum_price, price_member, minumum_price_member, transaction_price, service_order_id, collection_gift_amount, cash_amount, doc_date)-->
<!--        values (#{projectId}, #{projectName}, #{achievementLarge}, #{achievementZhonggong}, #{achievementTechnician}, #{achievementSmall}, #{commissionLarge}, #{commissionZhonggong}, #{commissionTechnician}, #{commissionSmall}, #{cardAchievementLarge}, #{cardAchievementZhonggong}, #{cardAchievementTechnician}, #{cardAchievementSmall}, #{cardCommissionLarge}, #{cardCommissionZhonggong}, #{cardCommissionTechnician}, #{cardCommissionSmall}, #{courseAccountId}, #{servicingTime}, #{noDiscount}, #{overtime}, #{overtimeMoney}, #{collectionCashAmount}, #{collectionRechargeAmount}, #{price}, #{minumumPrice}, #{priceMember}, #{minumumPriceMember}, #{transactionPrice}, #{serviceOrderId}, #{collectionGiftAmount}, #{cashAmount}, #{docDate})-->
<!--    </insert>-->

<!--    <insert id="insertBatch" keyProperty="id" useGeneratedKeys="true">-->
<!--        insert into service_project(project_id, project_name, achievement_large, achievement_zhonggong, achievement_technician, achievement_small, commission_large, commission_zhonggong, commission_technician, commission_small, card_achievement_large, card_achievement_zhonggong, card_achievement_technician, card_achievement_small, card_commission_large, card_commission_zhonggong, card_commission_technician, card_commission_small, course_account_id, servicing_time, no_discount, overtime, overtime_money, collection_cash_amount, collection_recharge_amount, price, minumum_price, price_member, minumum_price_member, transaction_price, service_order_id, collection_gift_amount, cash_amount, doc_date)-->
<!--        values-->
<!--        <foreach collection="entities" item="entity" separator=",">-->
<!--        (#{entity.projectId}, #{entity.projectName}, #{entity.achievementLarge}, #{entity.achievementZhonggong}, #{entity.achievementTechnician}, #{entity.achievementSmall}, #{entity.commissionLarge}, #{entity.commissionZhonggong}, #{entity.commissionTechnician}, #{entity.commissionSmall}, #{entity.cardAchievementLarge}, #{entity.cardAchievementZhonggong}, #{entity.cardAchievementTechnician}, #{entity.cardAchievementSmall}, #{entity.cardCommissionLarge}, #{entity.cardCommissionZhonggong}, #{entity.cardCommissionTechnician}, #{entity.cardCommissionSmall}, #{entity.courseAccountId}, #{entity.servicingTime}, #{entity.noDiscount}, #{entity.overtime}, #{entity.overtimeMoney}, #{entity.collectionCashAmount}, #{entity.collectionRechargeAmount}, #{entity.price}, #{entity.minumumPrice}, #{entity.priceMember}, #{entity.minumumPriceMember}, #{entity.transactionPrice}, #{entity.serviceOrderId}, #{entity.collectionGiftAmount}, #{entity.cashAmount}, #{entity.docDate})-->
<!--        </foreach>-->
<!--    </insert>-->

<!--    <insert id="insertOrUpdateBatch" keyProperty="id" useGeneratedKeys="true">-->
<!--        insert into service_project(project_id, project_name, achievement_large, achievement_zhonggong, achievement_technician, achievement_small, commission_large, commission_zhonggong, commission_technician, commission_small, card_achievement_large, card_achievement_zhonggong, card_achievement_technician, card_achievement_small, card_commission_large, card_commission_zhonggong, card_commission_technician, card_commission_small, course_account_id, servicing_time, no_discount, overtime, overtime_money, collection_cash_amount, collection_recharge_amount, price, minumum_price, price_member, minumum_price_member, transaction_price, service_order_id, collection_gift_amount, cash_amount, doc_date)-->
<!--        values-->
<!--        <foreach collection="entities" item="entity" separator=",">-->
<!--            (#{entity.projectId}, #{entity.projectName}, #{entity.achievementLarge}, #{entity.achievementZhonggong}, #{entity.achievementTechnician}, #{entity.achievementSmall}, #{entity.commissionLarge}, #{entity.commissionZhonggong}, #{entity.commissionTechnician}, #{entity.commissionSmall}, #{entity.cardAchievementLarge}, #{entity.cardAchievementZhonggong}, #{entity.cardAchievementTechnician}, #{entity.cardAchievementSmall}, #{entity.cardCommissionLarge}, #{entity.cardCommissionZhonggong}, #{entity.cardCommissionTechnician}, #{entity.cardCommissionSmall}, #{entity.courseAccountId}, #{entity.servicingTime}, #{entity.noDiscount}, #{entity.overtime}, #{entity.overtimeMoney}, #{entity.collectionCashAmount}, #{entity.collectionRechargeAmount}, #{entity.price}, #{entity.minumumPrice}, #{entity.priceMember}, #{entity.minumumPriceMember}, #{entity.transactionPrice}, #{entity.serviceOrderId}, #{entity.collectionGiftAmount}, #{entity.cashAmount}, #{entity.docDate})-->
<!--        </foreach>-->
<!--        on duplicate key update-->
<!--        project_id = values(project_id),-->
<!--        project_name = values(project_name),-->
<!--        achievement_large = values(achievement_large),-->
<!--        achievement_zhonggong = values(achievement_zhonggong),-->
<!--        achievement_technician = values(achievement_technician),-->
<!--        achievement_small = values(achievement_small),-->
<!--        commission_large = values(commission_large),-->
<!--        commission_zhonggong = values(commission_zhonggong),-->
<!--        commission_technician = values(commission_technician),-->
<!--        commission_small = values(commission_small),-->
<!--        card_achievement_large = values(card_achievement_large),-->
<!--        card_achievement_zhonggong = values(card_achievement_zhonggong),-->
<!--        card_achievement_technician = values(card_achievement_technician),-->
<!--        card_achievement_small = values(card_achievement_small),-->
<!--        card_commission_large = values(card_commission_large),-->
<!--        card_commission_zhonggong = values(card_commission_zhonggong),-->
<!--        card_commission_technician = values(card_commission_technician),-->
<!--        card_commission_small = values(card_commission_small),-->
<!--        course_account_id = values(course_account_id),-->
<!--        servicing_time = values(servicing_time),-->
<!--        no_discount = values(no_discount),-->
<!--        overtime = values(overtime),-->
<!--        overtime_money = values(overtime_money),-->
<!--        collection_cash_amount = values(collection_cash_amount),-->
<!--        collection_recharge_amount = values(collection_recharge_amount),-->
<!--        price = values(price),-->
<!--        minumum_price = values(minumum_price),-->
<!--        price_member = values(price_member),-->
<!--        minumum_price_member = values(minumum_price_member),-->
<!--        transaction_price = values(transaction_price),-->
<!--        service_order_id = values(service_order_id),-->
<!--        collection_gift_amount = values(collection_gift_amount),-->
<!--        cash_amount = values(cash_amount),-->
<!--        doc_date = values(doc_date)-->
<!--    </insert>-->

<!--    &lt;!&ndash;通过主键修改数据&ndash;&gt;-->
<!--    <update id="update">-->
<!--        update service_project-->
<!--        <set>-->
<!--            <if test="projectId != null">-->
<!--                project_id = #{projectId},-->
<!--            </if>-->
<!--            <if test="projectName != null and projectName != ''">-->
<!--                project_name = #{projectName},-->
<!--            </if>-->
<!--            <if test="achievementLarge != null">-->
<!--                achievement_large = #{achievementLarge},-->
<!--            </if>-->
<!--            <if test="achievementZhonggong != null">-->
<!--                achievement_zhonggong = #{achievementZhonggong},-->
<!--            </if>-->
<!--            <if test="achievementTechnician != null">-->
<!--                achievement_technician = #{achievementTechnician},-->
<!--            </if>-->
<!--            <if test="achievementSmall != null">-->
<!--                achievement_small = #{achievementSmall},-->
<!--            </if>-->
<!--            <if test="commissionLarge != null">-->
<!--                commission_large = #{commissionLarge},-->
<!--            </if>-->
<!--            <if test="commissionZhonggong != null">-->
<!--                commission_zhonggong = #{commissionZhonggong},-->
<!--            </if>-->
<!--            <if test="commissionTechnician != null">-->
<!--                commission_technician = #{commissionTechnician},-->
<!--            </if>-->
<!--            <if test="commissionSmall != null">-->
<!--                commission_small = #{commissionSmall},-->
<!--            </if>-->
<!--            <if test="cardAchievementLarge != null">-->
<!--                card_achievement_large = #{cardAchievementLarge},-->
<!--            </if>-->
<!--            <if test="cardAchievementZhonggong != null">-->
<!--                card_achievement_zhonggong = #{cardAchievementZhonggong},-->
<!--            </if>-->
<!--            <if test="cardAchievementTechnician != null">-->
<!--                card_achievement_technician = #{cardAchievementTechnician},-->
<!--            </if>-->
<!--            <if test="cardAchievementSmall != null">-->
<!--                card_achievement_small = #{cardAchievementSmall},-->
<!--            </if>-->
<!--            <if test="cardCommissionLarge != null">-->
<!--                card_commission_large = #{cardCommissionLarge},-->
<!--            </if>-->
<!--            <if test="cardCommissionZhonggong != null">-->
<!--                card_commission_zhonggong = #{cardCommissionZhonggong},-->
<!--            </if>-->
<!--            <if test="cardCommissionTechnician != null">-->
<!--                card_commission_technician = #{cardCommissionTechnician},-->
<!--            </if>-->
<!--            <if test="cardCommissionSmall != null">-->
<!--                card_commission_small = #{cardCommissionSmall},-->
<!--            </if>-->
<!--            <if test="courseAccountId != null">-->
<!--                course_account_id = #{courseAccountId},-->
<!--            </if>-->
<!--            <if test="servicingTime != null and servicingTime != ''">-->
<!--                servicing_time = #{servicingTime},-->
<!--            </if>-->
<!--            <if test="noDiscount != null">-->
<!--                no_discount = #{noDiscount},-->
<!--            </if>-->
<!--            <if test="overtime != null">-->
<!--                overtime = #{overtime},-->
<!--            </if>-->
<!--            <if test="overtimeMoney != null">-->
<!--                overtime_money = #{overtimeMoney},-->
<!--            </if>-->
<!--            <if test="collectionCashAmount != null">-->
<!--                collection_cash_amount = #{collectionCashAmount},-->
<!--            </if>-->
<!--            <if test="collectionRechargeAmount != null">-->
<!--                collection_recharge_amount = #{collectionRechargeAmount},-->
<!--            </if>-->
<!--            <if test="price != null">-->
<!--                price = #{price},-->
<!--            </if>-->
<!--            <if test="minumumPrice != null">-->
<!--                minumum_price = #{minumumPrice},-->
<!--            </if>-->
<!--            <if test="priceMember != null">-->
<!--                price_member = #{priceMember},-->
<!--            </if>-->
<!--            <if test="minumumPriceMember != null">-->
<!--                minumum_price_member = #{minumumPriceMember},-->
<!--            </if>-->
<!--            <if test="transactionPrice != null">-->
<!--                transaction_price = #{transactionPrice},-->
<!--            </if>-->
<!--            <if test="serviceOrderId != null">-->
<!--                service_order_id = #{serviceOrderId},-->
<!--            </if>-->
<!--            <if test="collectionGiftAmount != null">-->
<!--                collection_gift_amount = #{collectionGiftAmount},-->
<!--            </if>-->
<!--            <if test="cashAmount != null">-->
<!--                cash_amount = #{cashAmount},-->
<!--            </if>-->
<!--            <if test="docDate != null">-->
<!--                doc_date = #{docDate},-->
<!--            </if>-->
<!--        </set>-->
<!--        where Id = #{id}-->
<!--    </update>-->

<!--    &lt;!&ndash;通过主键删除&ndash;&gt;-->
<!--    <delete id="deleteById">-->
<!--        delete from service_project where Id = #{id}-->
<!--    </delete>-->

</mapper>

